> For the complete documentation index, see [llms.txt](https://docs.inabit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inabit.com/api-reference/develop-with-inabit-api/getting-started.md).

# Getting Started

## Quickstart Guide

The inabit GraphQL API  allows you to interact programmatically with inabit's platform, for a variety of use cases:

* Manage your inabit account, organizations & users.
* Manage wallets (both inabit & external wallets).
* Automate transaction flows.

And many other use cases you might think of that can help your business automate its workflow.

{% hint style="info" %}
**Important:** Our API is based on [GraphQL](https://graphql.org/).

API calls require a valid `Access Token` for authorizing requests. Before using the API, please make sure that you have a valid token. See below instructions on how you can get it.

&#x20;

The `Access Token` must be part of  HTTP's `Authorization` header in every call.

:warning:Without a valid `Access Token` API calls will be denied.
{% endhint %}

## Get your access token

Receive a JWT access token for your inabit account's API Admin user by contacting our support team at <mark style="color:blue;"><support@inabit.com></mark>.

## Make your first request

To make your first request, send an authenticated request using the access token. Remember to authorize using the token across all of your future queries and mutations.

{% hint style="info" %}
**Important:** Access tokens are valid for 15 hours and will expire afterwards, if you're using an existing token that might've been expired, you'll be unauthorized to call queries and mutations and will need to retrieve a new token from us.
{% endhint %}

{% content-ref url="/pages/X0iUk7M41qljvTxMV7cj" %}
[Broken mention](broken://pages/X0iUk7M41qljvTxMV7cj)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inabit.com/api-reference/develop-with-inabit-api/getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
